# 7. Мутация: сгенерировать "ZonesMap"

Сгенерировать «КартуЗон» для «Поля».

{% hint style="info" %}
Время выполнения различается (от 4 секунд до 5 минут), оно зависит от количества изображений и площади поля для обработки, а подписка будет получена после успешной генерации «КартыЗон».
{% endhint %}

{% hint style="danger" %}
Мы рекомендуем использовать **асинхронный** подход для генерации КартЗон
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    название
    тип
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/7.-mutaciya-sgenerirovat-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
